#ifndef UPDATEFPSMONITORSJOB_H
#define UPDATEFPSMONITORSJOB_H

#include <Qt3DCore/QAspectJob>
#include <QSharedPointer>

class CustomAspect;

class UpdateFpsMonitorsJob : public Qt3DCore::QAspectJob
{
public:
    explicit UpdateFpsMonitorsJob(CustomAspect *aspect);

    void setFrameTimeDelta(qint64 dt);
    void run() override;

private:
    CustomAspect *m_aspect;
    qint64 m_dt;
};

using UpdateFpsMonitorsJobPtr = QSharedPointer<UpdateFpsMonitorsJob>;

#endif // UPDATEFPSMONITORSJOB_H
